Subject: bug#3646: "bookmark format upgrade is incorrect"

From: "Drew Adams" <[email-masked]>
Date: Tue, 2 Oct 2012 17:04:45 -0700

> Sent: Tuesday, October 02, 2012 4:10 PM
> To: [email-masked]
> 
> Closing, now that tagged as WONTFIX.

Hi Karl,

I don't quite understand.  Your previous message in this thread (10/08/2009,
below) said that there was a real problem, even worse than what I reported, and
that you were working on a fix.  What's the story?

Thx - Drew

> -----Original Message-----
> From: Karl Fogel Sent: Thursday, October 08, 2009 11:29 PM
> To: [email-masked]
> 
> The actual situation is much, much worse than even this.
> 
> Because the recent format upgrade (to the "third" format) did not bump
> `bookmark-file-format-version', ever since at least rev 1.114 (and
> possibly before) bookmark.el has been potentially writing
> `bookmark-alist' in a mixture of formats: some of the bookmarks in the
> alist might be in format 2, and some might be in format 1.
> 
> I'm working on a fix.  It should be possible to detect 1 and 
> migrate it to 2 at the individual bookmark record level.